Bug 20432 - Add black version of small Koha logo for use in the OPAC
Summary: Add black version of small Koha logo for use in the OPAC
Status: RESOLVED FIXED
Alias: None
Product: Koha
Classification: Unclassified
Component: OPAC (show other bugs)
Version: master
Hardware: All All
: P5 - low enhancement (vote)
Assignee: Owen Leonard
QA Contact: Testopia
URL:
Whiteboard:
Keywords:
Depends on:
Blocks:
 
Reported: 2018-03-16 10:15 UTC by Owen Leonard
Modified: 2018-03-26 12:08 UTC (History)
1 user (show)

See Also:
Change sponsored?: ---
Patch complexity: Trivial patch
Bot Control: ---
When did the bot last check this:
Who signed the patch off:
Text to go in the release notes:


Attachments
Bug 20432 - Add black version of small Koha logo for use in the OPAC (2.88 KB, patch)
2018-03-16 10:24 UTC, Owen Leonard
Details | Diff | Splinter Review
Bug 20432 - Add black version of small Koha logo for use in the OPAC (2.89 KB, patch)
2018-03-16 12:23 UTC, Owen Leonard
Details | Diff | Splinter Review
Bug 20432 - Add black version of small Koha logo for use in the OPAC (3.04 KB, patch)
2018-03-16 13:35 UTC, Séverine Queune
Details | Diff | Splinter Review
Bug 20432: Add black version of small Koha logo for use in the OPAC (3.09 KB, patch)
2018-03-18 07:46 UTC, Katrin Fischer
Details | Diff | Splinter Review

Note You need to log in before you can comment on or make changes to this bug.
Description Owen Leonard 2018-03-16 10:15:35 UTC
The default OPAC CSS produces a black navigation bar at the top of the page with a white Koha logo. Adding an inverted version of that file might be useful to people who want to style their OPAC differently.
Comment 1 Owen Leonard 2018-03-16 10:24:09 UTC Comment hidden (obsolete)
Comment 2 Owen Leonard 2018-03-16 12:23:29 UTC
Created attachment 73031 [details] [review]
Bug 20432 - Add black version of small Koha logo for use in the OPAC

This patch adds a black version of the Koha logo for use in OPAC
customization.

To test, apply the patch and add this CSS to your OPACUserCSS system
preference:

.navbar-inverse .navbar-inner {
    background: #CCC none;
}

 #logo {
    background: transparent url(/opac-tmpl/bootstrap/images/koha-logo-navbar-black.png) no-repeat scroll 0;
}

Refresh your OPAC and the top navigation bar should be changed from
black to grey, and you should see a black version of the Koha logo.
Comment 3 Séverine Queune 2018-03-16 13:35:47 UTC
Created attachment 73043 [details] [review]
Bug 20432 - Add black version of small Koha logo for use in the OPAC

This patch adds a black version of the Koha logo for use in OPAC
customization.

To test, apply the patch and add this CSS to your OPACUserCSS system
preference:

.navbar-inverse .navbar-inner {
    background: #CCC none;
}

 #logo {
    background: transparent url(/opac-tmpl/bootstrap/images/koha-logo-navbar-black.png) no-repeat scroll 0;
}

Refresh your OPAC and the top navigation bar should be changed from
black to grey, and you should see a black version of the Koha logo.

Signed-off-by: Séverine QUEUNE <severine.queune@bulac.fr>
Comment 4 Katrin Fischer 2018-03-18 07:46:26 UTC
Created attachment 73072 [details] [review]
Bug 20432: Add black version of small Koha logo for use in the OPAC

This patch adds a black version of the Koha logo for use in OPAC
customization.

To test, apply the patch and add this CSS to your OPACUserCSS system
preference:

.navbar-inverse .navbar-inner {
    background: #CCC none;
}

 #logo {
    background: transparent url(/opac-tmpl/bootstrap/images/koha-logo-navbar-black.png) no-repeat scroll 0;
}

Refresh your OPAC and the top navigation bar should be changed from
black to grey, and you should see a black version of the Koha logo.

Signed-off-by: Séverine QUEUNE <severine.queune@bulac.fr>

Signed-off-by: Katrin Fischer <katrin.fischer.83@web.de>
Comment 5 Jonathan Druart 2018-03-23 15:36:51 UTC
Pushed to master for 18.05, thanks to everybody involved!
Comment 6 Nick Clemens 2018-03-26 12:08:25 UTC
Enhancement, not backported for 17.11